Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi
Class ConnectIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      java.rmi.ConnectIOException

All Implemented Interfaces:
  Serializable

    public class ConnectIOException

extends RemoteException

A `ConnectIOException` is thrown if an `IOException` occurs while making a connection to the remote host for a remote method call.

Since:
  JDK1.1
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`ConnectIOException(String s)` Constructs a `ConnectIOException` with the specified detail message.
`ConnectIOException(String s, Exception ex)` Constructs a `ConnectIOException` with the specified detail message and nested exception.

Method Summary

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectIOException

    public ConnectIOException(String s)

  Constructs a `ConnectIOException` with the specified detail message.

  Parameters:
    `s` - the detail message
  Since:
    JDK1.1

### ConnectIOException

    public ConnectIOException(String s,
                              Exception ex)

  Constructs a `ConnectIOException` with the specified detail message and nested exception.

  Parameters:
    `s` - the detail message
    `ex` - the nested exception
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.